Skip to navigation

Security Advisory Important: evolution28 security update

Advisory: RHSA-2008:0515-7
Type: Security Advisory
Severity: Important
Issued on: 2008-06-04
Last updated on: 2008-06-04
Affected Products: Red Hat Desktop (v. 4)
Red Hat Enterprise Linux AS (v. 4)
Red Hat Enterprise Linux AS (v. 4.6.z)
Red Hat Enterprise Linux ES (v. 4)
Red Hat Enterprise Linux ES (v. 4.6.z)
Red Hat Enterprise Linux WS (v. 4)
CVEs (cve.mitre.org): CVE-2008-1108
CVE-2008-1109

Details

Updated evolution28 packages that address two buffer overflow
vulnerabilities are now available for Red Hat Enterprise Linux 4.

This update has been rated as having important security impact by the Red
Hat Security Response Team.

Evolution is the integrated collection of e-mail, calendaring, contact
management, communications and personal information management (PIM) tools
for the GNOME desktop environment.

A flaw was found in the way Evolution parsed iCalendar timezone attachment
data. If the Itip Formatter plug-in was disabled and a user opened a mail
with a carefully crafted iCalendar attachment, arbitrary code could be
executed as the user running Evolution. (CVE-2008-1108)

Note: the Itip Formatter plug-in, which allows calendar information
(attachments with a MIME type of "text/calendar") to be displayed as part
of the e-mail message, is enabled by default.

A heap-based buffer overflow flaw was found in the way Evolution parsed
iCalendar attachments with an overly long "DESCRIPTION" property string. If
a user responded to a carefully crafted iCalendar attachment in a
particular way, arbitrary code could be executed as the user running
Evolution. (CVE-2008-1109).

The particular response required to trigger this vulnerability was as
follows:

1. Receive the carefully crafted iCalendar attachment.
2. Accept the associated meeting.
3. Open the calender the meeting was in.
4. Reply to the sender.

Red Hat would like to thank Alin Rad Pop of Secunia Research for
responsibly disclosing these issues.

All Evolution users should upgrade to these updated packages, which contain
backported patches which resolves these issues.


Solution

Before applying this update, make sure that all previously-released
errata relevant to your system have been applied.

This update is available via Red Hat Network. Details on how to use
the Red Hat Network to apply this update are available at
http://kbase.redhat.com/faq/FAQ_58_10188

Updated packages

Red Hat Desktop (v. 4)

SRPMS:
evolution28-2.8.0-53.el4_6.3.src.rpm
File outdated by:  RHBA-2008:0723
    MD5: cbcf1623da7b963f2ca04c08c21a268a
 
IA-32:
evolution28-2.8.0-53.el4_6.3.i386.rpm
File outdated by:  RHBA-2008:0723
    MD5: d62ec521e52a74294de60e65531f5387
evolution28-devel-2.8.0-53.el4_6.3.i386.rpm
File outdated by:  RHBA-2008:0723
    MD5: d554021e9b599360a159f8e5de814997
 
x86_64:
evolution28-2.8.0-53.el4_6.3.x86_64.rpm
File outdated by:  RHBA-2008:0723
    MD5: cc718659d56440cbf74673a9f7da9802
evolution28-devel-2.8.0-53.el4_6.3.x86_64.rpm
File outdated by:  RHBA-2008:0723
    MD5: c3c39e03ad8f3d0532dda9c62e415c7f
 
Red Hat Enterprise Linux AS (v. 4)

SRPMS:
evolution28-2.8.0-53.el4_6.3.src.rpm
File outdated by:  RHBA-2008:0723
    MD5: cbcf1623da7b963f2ca04c08c21a268a
 
IA-32:
evolution28-2.8.0-53.el4_6.3.i386.rpm
File outdated by:  RHBA-2008:0723
    MD5: d62ec521e52a74294de60e65531f5387
evolution28-devel-2.8.0-53.el4_6.3.i386.rpm
File outdated by:  RHBA-2008:0723
    MD5: d554021e9b599360a159f8e5de814997
 
IA-64:
evolution28-2.8.0-53.el4_6.3.ia64.rpm
File outdated by:  RHBA-2008:0723
    MD5: a539762648a4df0ed5f264e3e8fe523c
evolution28-devel-2.8.0-53.el4_6.3.ia64.rpm
File outdated by:  RHBA-2008:0723
    MD5: b1850dcb74712f135dc4b9544c2f0dd4
 
PPC:
evolution28-2.8.0-53.el4_6.3.ppc.rpm
File outdated by:  RHBA-2008:0723
    MD5: e36f4d8fb9fc4633b40fc103343b65e8
evolution28-devel-2.8.0-53.el4_6.3.ppc.rpm
File outdated by:  RHBA-2008:0723
    MD5: 5d75a0d4b738f0e9c686599ec56a6e08
 
s390:
evolution28-2.8.0-53.el4_6.3.s390.rpm
File outdated by:  RHBA-2008:0723
    MD5: d2aff7e61de3f18842bcf7baab4c3430
evolution28-devel-2.8.0-53.el4_6.3.s390.rpm
File outdated by:  RHBA-2008:0723
    MD5: dec1c49d3fafe9945dcd56e89d15880b
 
s390x:
evolution28-2.8.0-53.el4_6.3.s390x.rpm
File outdated by:  RHBA-2008:0723
    MD5: 32c42443779335e3c80061d41ebde85b
evolution28-devel-2.8.0-53.el4_6.3.s390x.rpm
File outdated by:  RHBA-2008:0723
    MD5: 626cbeb8943cc719a8c434eefa31fd8d
 
x86_64:
evolution28-2.8.0-53.el4_6.3.x86_64.rpm
File outdated by:  RHBA-2008:0723
    MD5: cc718659d56440cbf74673a9f7da9802
evolution28-devel-2.8.0-53.el4_6.3.x86_64.rpm
File outdated by:  RHBA-2008:0723
    MD5: c3c39e03ad8f3d0532dda9c62e415c7f
 
Red Hat Enterprise Linux AS (v. 4.6.z)

SRPMS:
evolution28-2.8.0-53.el4_6.3.src.rpm
File outdated by:  RHBA-2008:0723
    MD5: cbcf1623da7b963f2ca04c08c21a268a
 
IA-32:
evolution28-2.8.0-53.el4_6.3.i386.rpm     MD5: d62ec521e52a74294de60e65531f5387
evolution28-devel-2.8.0-53.el4_6.3.i386.rpm     MD5: d554021e9b599360a159f8e5de814997
 
IA-64:
evolution28-2.8.0-53.el4_6.3.ia64.rpm     MD5: a539762648a4df0ed5f264e3e8fe523c
evolution28-devel-2.8.0-53.el4_6.3.ia64.rpm     MD5: b1850dcb74712f135dc4b9544c2f0dd4
 
PPC:
evolution28-2.8.0-53.el4_6.3.ppc.rpm     MD5: e36f4d8fb9fc4633b40fc103343b65e8
evolution28-devel-2.8.0-53.el4_6.3.ppc.rpm     MD5: 5d75a0d4b738f0e9c686599ec56a6e08
 
s390:
evolution28-2.8.0-53.el4_6.3.s390.rpm     MD5: d2aff7e61de3f18842bcf7baab4c3430
evolution28-devel-2.8.0-53.el4_6.3.s390.rpm     MD5: dec1c49d3fafe9945dcd56e89d15880b
 
s390x:
evolution28-2.8.0-53.el4_6.3.s390x.rpm     MD5: 32c42443779335e3c80061d41ebde85b
evolution28-devel-2.8.0-53.el4_6.3.s390x.rpm     MD5: 626cbeb8943cc719a8c434eefa31fd8d
 
x86_64:
evolution28-2.8.0-53.el4_6.3.x86_64.rpm     MD5: cc718659d56440cbf74673a9f7da9802
evolution28-devel-2.8.0-53.el4_6.3.x86_64.rpm     MD5: c3c39e03ad8f3d0532dda9c62e415c7f
 
Red Hat Enterprise Linux ES (v. 4)

SRPMS:
evolution28-2.8.0-53.el4_6.3.src.rpm
File outdated by:  RHBA-2008:0723
    MD5: cbcf1623da7b963f2ca04c08c21a268a
 
IA-32:
evolution28-2.8.0-53.el4_6.3.i386.rpm
File outdated by:  RHBA-2008:0723
    MD5: d62ec521e52a74294de60e65531f5387
evolution28-devel-2.8.0-53.el4_6.3.i386.rpm
File outdated by:  RHBA-2008:0723
    MD5: d554021e9b599360a159f8e5de814997
 
IA-64:
evolution28-2.8.0-53.el4_6.3.ia64.rpm
File outdated by:  RHBA-2008:0723
    MD5: a539762648a4df0ed5f264e3e8fe523c
evolution28-devel-2.8.0-53.el4_6.3.ia64.rpm
File outdated by:  RHBA-2008:0723
    MD5: b1850dcb74712f135dc4b9544c2f0dd4
 
x86_64:
evolution28-2.8.0-53.el4_6.3.x86_64.rpm
File outdated by:  RHBA-2008:0723
    MD5: cc718659d56440cbf74673a9f7da9802
evolution28-devel-2.8.0-53.el4_6.3.x86_64.rpm
File outdated by:  RHBA-2008:0723
    MD5: c3c39e03ad8f3d0532dda9c62e415c7f
 
Red Hat Enterprise Linux ES (v. 4.6.z)

SRPMS:
evolution28-2.8.0-53.el4_6.3.src.rpm
File outdated by:  RHBA-2008:0723
    MD5: cbcf1623da7b963f2ca04c08c21a268a
 
IA-32:
evolution28-2.8.0-53.el4_6.3.i386.rpm     MD5: d62ec521e52a74294de60e65531f5387
evolution28-devel-2.8.0-53.el4_6.3.i386.rpm     MD5: d554021e9b599360a159f8e5de814997
 
IA-64:
evolution28-2.8.0-53.el4_6.3.ia64.rpm     MD5: a539762648a4df0ed5f264e3e8fe523c
evolution28-devel-2.8.0-53.el4_6.3.ia64.rpm     MD5: b1850dcb74712f135dc4b9544c2f0dd4
 
x86_64:
evolution28-2.8.0-53.el4_6.3.x86_64.rpm     MD5: cc718659d56440cbf74673a9f7da9802
evolution28-devel-2.8.0-53.el4_6.3.x86_64.rpm     MD5: c3c39e03ad8f3d0532dda9c62e415c7f
 
Red Hat Enterprise Linux WS (v. 4)

SRPMS:
evolution28-2.8.0-53.el4_6.3.src.rpm
File outdated by:  RHBA-2008:0723
    MD5: cbcf1623da7b963f2ca04c08c21a268a
 
IA-32:
evolution28-2.8.0-53.el4_6.3.i386.rpm
File outdated by:  RHBA-2008:0723
    MD5: d62ec521e52a74294de60e65531f5387
evolution28-devel-2.8.0-53.el4_6.3.i386.rpm
File outdated by:  RHBA-2008:0723
    MD5: d554021e9b599360a159f8e5de814997
 
IA-64:
evolution28-2.8.0-53.el4_6.3.ia64.rpm
File outdated by:  RHBA-2008:0723
    MD5: a539762648a4df0ed5f264e3e8fe523c
evolution28-devel-2.8.0-53.el4_6.3.ia64.rpm
File outdated by:  RHBA-2008:0723
    MD5: b1850dcb74712f135dc4b9544c2f0dd4
 
x86_64:
evolution28-2.8.0-53.el4_6.3.x86_64.rpm
File outdated by:  RHBA-2008:0723
    MD5: cc718659d56440cbf74673a9f7da9802
evolution28-devel-2.8.0-53.el4_6.3.x86_64.rpm
File outdated by:  RHBA-2008:0723
    MD5: c3c39e03ad8f3d0532dda9c62e415c7f
 
(The unlinked packages above are only available from the Red Hat Network)

Bugs fixed (see bugzilla for more information)

448540 - CVE-2008-1108 evolution: iCalendar buffer overflow via large timezone specification
448541 - CVE-2008-1109 evolution: iCalendar buffer overflow via large description parameter


References



These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from:
https://www.redhat.com/security/team/key/#package

The Red Hat security contact is secalert@redhat.com. More contact details at http://www.redhat.com/security/team/contact/